Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006708TestLinkIssue Tracker managementpublic2014-10-23 23:532016-04-25 17:25
Reporterram_chandupatla 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0006708: Raising issue at step level
DescriptionWith the current version of testlink we are able to log execution comments and status for each step but it does not allow to create issue at step level.

It would be good to have this feature in next release which will help the testing community.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon issueOnStep01.png [^] (49,070 bytes) 2015-12-07 15:33


png file icon issueOnStep02.png [^] (48,328 bytes) 2015-12-07 15:33

- Relationships
related to 0007522closedfman Ability to bind bug to Test Step in addition to Test Case for smaller granularity in reports 
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024274)
Wolfgang Steigenberger (reporter)
2015-11-20 10:06

I agree to this issue.
(0024316)
gerardvangoor (reporter)
2015-11-30 01:20

Also an issue for us.
(0024340)
fman (administrator)
2015-12-06 17:19

1) It will be great if some donation (via paypal) will be done to support this development

2) Implementation will be done in this way in phase 1

2.1) Feature will be only available when integration will be done via API, and the API allows create issue operation.

2.2) Issue will be linked to test case execution, and there will not be an attribute saved on TestLink execution_bugs table that will contain information about the test case step.

2.3) issue at test case step level, will be created no matter if user set or not execution result at test case step level. It will be mandatory that execution result at test case level will be setted.
(0024341)
fman (administrator)
2015-12-07 15:32

Ready for tests
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/16a097c8d1bf06e2a5efaafc9dc3cda35244510d [^]

please test and provide feedback.
Best option is to get latest code from github
(0024342)
fman (administrator)
2015-12-07 15:33

added two screenshots as poor's man documentation
(0024343)
fman (administrator)
2015-12-07 15:39

tested on JIRA OnDemand

- Issue History
Date Modified Username Field Change
2014-10-23 23:53 ram_chandupatla New Issue
2015-11-20 10:06 Wolfgang Steigenberger Note Added: 0024274
2015-11-30 01:20 gerardvangoor Note Added: 0024316
2015-12-06 17:19 fman Note Added: 0024340
2015-12-07 15:31 fman QA Team - Task Workflow Status => TBD
2015-12-07 15:32 fman Note Added: 0024341
2015-12-07 15:33 fman File Added: issueOnStep01.png
2015-12-07 15:33 fman File Added: issueOnStep02.png
2015-12-07 15:33 fman Note Added: 0024342
2015-12-07 15:34 fman Assigned To => fman
2015-12-07 15:34 fman Status new => feedback
2015-12-07 15:35 fman Relationship added child of 0007262
2015-12-07 15:39 fman Note Added: 0024343
2015-12-17 20:12 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-12-17 20:12 fman Status feedback => closed
2015-12-17 20:12 fman Resolution open => fixed
2015-12-17 20:12 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-25 17:25 fman Relationship added related to 0007522



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker